package nl.amis.hierarchical.model;

import java.util.ArrayList;
import java.util.List;

public class Region {
    
    private String name;
    private String identifier;
    private Long population;
    private List<Continent> continents;

    public void setContinents(List<Continent> continents) {
        this.continents = continents;
    }

    public List<Continent> getContinents() {
        return continents;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Region(String name, String identifier, Long population) {
        super();
        this.name = name;
        this.identifier = identifier;
        this.population = population;
        continents = new ArrayList<Continent>();
    }

    public String getName() {
        return name;
    }

    public void setIdentifier(String identifier) {
        this.identifier = identifier;
    }

    public String getIdentifier() {
        return identifier;
    }

    public void setPopulation(Long population) {
        this.population = population;
    }

    public Long getPopulation() {
        return population;
    }
}
